Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

texlive-2017.20170520-19.4 RPM for x86_64

From OpenSuSE Leap 15.3 for x86_64

Name: texlive Distribution: SUSE Linux Enterprise 15
Version: 2017.20170520 Vendor: SUSE LLC <https://www.suse.com/>
Release: 19.4 Build date: Tue Jun 9 23:13:14 2020
Group: Productivity/Publishing/TeX/Base Build host: sheep26
Size: 940 Source RPM: texlive-2017.20170520-19.4.src.rpm
Packager: https://www.suse.com/
Url: http://www.tug.org/texlive/
Summary: The TeXLive Formatting System
After installing texlive and the package texlive-latex, find a large
selection of documentation for TeX, LaTeX, and various layout styles in
/usr/share/texmf/doc.

TeX (pronounced tech) is an interpreter for text formatting and was
developed by Donald E. Knuth.  It works with control and macro commands
on a text file. Working with TeX is similar to typesetting methods.
LaTeX is a complex macro package that removes the cryptical TeX
interface and does most of the work for the user.

TeX uses special fonts produced by the MetaFont program. Various
printer drivers and an X11 viewer are also included in this package.
The teTeX package is based on the standard TeX package of Karl Berry,
which makes configuration much easier. It is also possible to use
PostScript fonts. A real PostScript printer is required, however. If
the ghostscript (gs) package is installed, all drivers for printing and
viewing can use these fonts. Note, however, that the fonts included in
the ghostscript package are not identical to Adobe's PostScript fonts.
The copyright prohibids us to include them on the CD.

Besides these features, the programs MakeIndex (for producing indexes)
and BibTeX (for literature data processing) exist.

The texlive package includes a full texmf tree, many programs like tex,
dvips, etc., shell script configuration, and a big collection of
documentations. This package is easily configured by the script
texconfig and has multilanguage options.

Provides

Requires

License

GPL-2.0-or-later AND GPL-2.0-only AND GPL-3.0-only AND LPPL-1.3c AND LPPL-1.0 AND Artistic-1.0 AND Apache-2.0 AND MIT AND BSD-3-Clause AND SUSE-TeX AND SUSE-Public-Domain

Changelog

* Thu May 14 2020 werner@suse.de
  - Correct permissions of wrapper of e.g. mktexlsr (boo#1171341)
* Thu Feb 20 2020 werner@suse.de
  - Switch also to user mktex in fmtutil script (boo#1159740, CVE-2020-8016)
* Wed Feb 05 2020 werner@suse.de
  - Check passwd not group file for user mktex
* Fri Jan 31 2020 werner@suse.de
  - Introduce a user mktex as replacement for user nobody (boo#1159740, CVE-2020-8016)
* Tue Oct 29 2019 alarrosa@suse.com
  - Add patch poppler-fix-0.79.patch to fix compilation with poppler
    0.79 which has many api incompatible changes aggregated since 0.63
    (boo#1152776).
  - Fix broken link to texlive-20170524-source-poppler059-1.patch .
* Wed Sep 26 2018 werner@suse.de
  - Add patch source-bsc1109673.dif to fix bsc#1109673 for CVE-2018-17407
    which is about buffer overflow in the handling of Type 1 fonts
    allowing arbitrary code execution
* Fri Apr 27 2018 stefan.bruens@rwth-aachen.de
  - Add patch source-dvipdfm-x.dif to fix XeTeX bug #151 (boo#1099563)
* Thu Apr 19 2018 werner@suse.de
  - Add patch source-lcdf-typetools.dif to help gcc8 (boo#1087075)
* Mon Apr 09 2018 idonmez@suse.com
  - Update source-poppler-0.59.1.dif to fix compilation with poppler
    0.63. Dict objects are now uncopyable, make a const reference
    instead.
* Thu Mar 15 2018 werner@suse.de
  - Add patch biber-perl-5.30.dif to avoid trouble with perl 5.30 and biber
* Thu Mar 15 2018 werner@suse.de
  - Add missing dependencies for perl-biber (boo#1084900)
* Wed Mar 14 2018 crrodriguez@opensuse.org
  - Remove xorg-x11-devel and Mesa-devel from buildrequires.
* Tue Feb 06 2018 meissner@suse.com
  - drop freetype-devel buildrequires, we use freetype2 here.
* Mon Jan 29 2018 sndirsch@suse.com
  - removed unneeded 'BuildRequires: xorg-x11-util-devel' (bsc#1077489)
* Mon Jan 29 2018 werner@suse.de
  - For Leap 42.3 build without biber as the perl version does not fit
* Mon Jan 08 2018 werner@suse.de
  - If zypper way of posttrans scripts are disabled do use the rpm
    %posttrans scriptlets (boo#1074128)
* Tue Dec 12 2017 dimstar@opensuse.org
  - Replace Mesa-libGL-devel and libOSMesa-devel BuildRequires with
    pkgconfig(gl) and pkgconfig(osmesa).
  - Drop Mesa-libglapi-devel Buildequires: not needed by texlive for
    a while already.
* Thu Dec 07 2017 dimstar@opensuse.org
  - Escape the usage of %{VERSION} when calling out to rpm.
    RPM 4.14 has %{VERSION} defined as 'the main packages version'.
* Fri Nov 24 2017 werner@suse.de
  - Disable by a build conditions using zypper way of posttrans scripts
    as we already use %posttrans. Nevertheless correct naming scheme
    (boo#1069445)
* Tue Nov 14 2017 werner@suse.de
  - Sometimes user nobody has its own ~/.cache directory therefore
    split path at colon if found
* Wed Nov 08 2017 werner@suse.de
  - Add yet an other patch source-poppler-0.59.1.dif for poppler
    0.59 and up (boo#1060652)
* Fri Sep 22 2017 dimstar@opensuse.org
  - Add texlive-20170524-source-poppler059-1.patch: Adapt API usage
    to poppler 0.59.
* Mon Aug 14 2017 werner@suse.de
  - Add missing link from texdef to latexdef
* Tue Aug 01 2017 schwab@suse.de
  - Define _GNU_SOURCE to request GNU extensions
* Thu Jun 29 2017 werner@suse.de
  - Avoid nasty warning about missing batchmode in ENVironment
* Wed Jun 28 2017 nico.kruber@gmail.com
  - add missing dependencies for perl-biber
* Wed Jun 14 2017 werner@suse.de
  - Let biber test suite not use 64bit longs on 32bit architectures
* Wed Jun 14 2017 werner@suse.de
  - Modify patch source-luatex.dif, that is update luatex tree from
    version 2017033109 (r44589) to version 2017060901 (r44590)
* Tue Jun 13 2017 werner@suse.de
  - Final TeXLive 2017 20170520
* Thu Jun 01 2017 werner@suse.de
  - Update to TeXLive 2017 20170520 pretest
  - Update to biber 2.7
    * Add missing bblxml.pm
  - Remove patch biber-perl-pre5.22.0.dif
  - Add patch source-luatex.dif for new gcc-7.1
  - Adopted patches biber-certs.dif, biblatex-encoding.dif,
    source-configure.dif, source-overflow.dif, source-warns.dif,
    and source-warns.dif
* Fri May 26 2017 werner@suse.de
  - Switch over from 20160523 source tree to 20160523b
    as it includes someminor bug fixes
* Fri May 26 2017 werner@suse.de
  - Use lua compatible configuration for TEXMFCNF in texmf.cnf
* Wed May 03 2017 kukuk@suse.de
  - Require user nobody needed by public in kpathsea-bin
* Wed Mar 08 2017 werner@suse.de
  - Modify patch kpathsea_cnf.dif to remove mpost from the allowed
    shell escaping commands (bsc#1028271, CVE-2016-10243)
* Tue Dec 06 2016 werner@suse.de
  - We want perl(Unicode::Collate) >= 1.14 for biblatex-biber 2.5
* Tue Aug 23 2016 bwiedemann@suse.com
  - perl-biber requires perl(Class::Accessor) and perl(Data::Uniqid)
    at runtime (boo#995076)
* Fri Aug 05 2016 werner@suse.de
  - Avoid dangling symbolic link for texlive-dvipdfmx-bin (boo#992360)
* Tue Jul 19 2016 werner@suse.de
  - Update biblatex-biber to version 2.5 as otherwise the biber
    indexing engine is not usable due version mismatch (boo#989486)
* Fri Jul 15 2016 werner@suse.de
  - Avoid missing dependencies due upstream package splits
* Fri Jul 08 2016 werner@suse.de
  - Use the latest revision of upmendex/fwrite.c (r.41498)
    to get stack smashing fixed as well as a working upmendex
* Tue Jun 14 2016 werner@suse.de
  - Avoid stack smashing deteted on i586 in upmendex/fwrite.c
  - Add patch biber-perl-pre5.22.0.dif
    as with perl 5.18 and below fastsort does not work
* Tue Jun 07 2016 werner@suse.de
  - Update to TeXLive 2016
    * Remove the now included patches
      biber-perl-5.22.dif
      biber-perl-unicode-normalize.dif
      biber-skip-bibtex-forms.dif
      source-xdvik-events.dif
    * Adopted the following patches
      biber-certs.dif
      source-configure.dif
      source-dvipng.dif
      source-dviutils.dif
      source-missed-scripts.dif
      source-warns.dif
      source.dif
* Wed Apr 13 2016 werner@suse.de
  - Use some more system libraries
  - Avoid to prerequire own packages at build time
* Wed Apr 13 2016 schwab@suse.de
  - Use system libmpfr
* Tue Apr 12 2016 werner@suse.de
  - Work around broken perl_gen_filelist rpm macro
* Wed Mar 30 2016 werner@suse.de
  - Change Recommends for binary packages on their main packages
    to Requires(pre) even if we get a dependency loop as otherwise
    some developers to not get it right.
  - Add some basic Recommends for binary packages to have an
    basic environment around.
* Mon Mar 21 2016 werner@suse.de
  - Really require the library packages with texive-bin-devel
* Sat Mar 05 2016 werner@suse.de
  - Fix version template to get version of libtexlua52 right
* Fri Mar 04 2016 werner@suse.de
  -  Split off shared libraries and the development headers for
    synctex, lua52, and luajit as separate packages.
* Tue Feb 09 2016 kruber@zib.de
  - new perl-biber also requires perl module Text::Roman
* Tue Feb 09 2016 werner@suse.de
  - Let texlive-ps2pk Obsoletes texlive-ps2pkm (boo#965472)
* Mon Feb 08 2016 werner@suse.de
  - Also enforce fmtutil.pl to use FHS as then it will find mktexlsr.pl
    boo#965151
* Thu Feb 04 2016 werner@suse.de
  - Fix bug boo#965151 that is wrong perl syntax
* Wed Feb 03 2016 werner@suse.de
  - Make it build even on Leap with old perl 5.18.2
* Tue Feb 02 2016 werner@suse.de
  - On older systems the linpoppler is somewhat to old
* Tue Feb 02 2016 werner@suse.de
  - Be aware that LuaJIT does not build on all architectures
* Thu Jan 28 2016 werner@suse.de
  - Update to TeXLive 2015 (timestamp 20150521 revision 26946)
    * Remove the now included patches
      biber-decode.diff
      biber-noreadonly.diff
      biblatex-biber-1.8.tar.xz
      source-asymptote-gs9.15.dif
    * Readd patch biber-certs.dif
      as we do not ship perls Motilla:CA
    * Add upstream patches
      biber-perl-unicode-normalize.dif
      biber-skip-bibtex-forms.dif
    * Add patch source-missed-scripts.dif to work around missed
      symbolic linked scripts
    * Adopted the following patches
      biber-perl-5.18.2.dif becomes biber-perl-5.22.dif
      biblatex-encoding.dif
      source-configure.dif
      source-dvipng.dif
      source-dviutils.dif
      source-lacheck.dif
      source-overflow.dif
      source-warns.dif
      source-x11r7.dif
      source.dif
* Tue Jul 14 2015 werner@suse.de
  - Add patch biber-perl-5.22.dif to make regular expressions work
    even with perl 5.22 (boo#938018, patch by Friedrich Haubensak)
* Fri Apr 17 2015 werner@suse.de
  - Port the patch set 'remove or clarify "nosell" material' from
    upstream to TeXlive source tar ball of 2014 (bsc#926106)
* Wed Apr 01 2015 werner@suse.de
  - Add patch source-asymptote-gs9.15.dif to switch from espwrite
    device to eos2write device of ghostscript (boo#912398)
* Tue Mar 31 2015 werner@suse.de
  - Luajittex does only compile on Intel, PPC, and ARM_LE (EABI)
* Thu Mar 26 2015 werner@suse.de
  - Update to TeXLive 2014 (timestamp 20140525 revision 34252)
    * Support DVIPDFMx
    * [fix] avoid luatex crash under math_mode 'decimal'
    * luaotfload: Fix incorrect handling of font file formats luaotfload)
    * Sync with Context beta as of 2014-04-05
    * pdfTeX: sync with Knuth TeX 3.14159265, e-TeX 2.6
    * Many more ...
  - Update biblatex-biber to 1.8
  - Add upstrema patch
    source-xdvik-events.dif
    to make Xaw3d work
  - Remove the now included patches
      biber-av.patch
      biber-certs.dif
      biber-dev.patch
      source-asymptote.dif
      source-bnc856363.dif
      source-dvipdfmx.dif
      source-poppler-0.26.patch
      source-psutils-flip.dif
  - Adapted the following patches
      biber-decode.diff
      biber-noreadonly.diff
      biblatex-encoding.dif
      source-64.dif
      source-arraysubs.dif
      source-configure.dif
      source-dviutils.dif
      source-lacheck.dif
      source-poppler.dif
      source-psutils.dif
      source-texdoc.dif
      source-warns.dif
      source-x11r7.dif
      source-xdvizilla.dif
      source.dif
* Sun Mar 15 2015 jengelh@inai.de
  - Remove redundant ldconfig requires
* Sat Dec 13 2014 ledest@gmail.com
  - fix shebang of xdvi script: option '-a' of 'exec' command may be
    unsupported in some POSIX-complete shells
  - update patches:
    * source.dif
* Tue Nov 11 2014 toddrme2178@gmail.com
  - Make pdfjam-bin subpackage obsolete the older pdfjam package.
    These two packages provide the same binaries.

Files

/usr/share/man/man8/public.8.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Sep 9 15:51:45 2022